% Implementation of model III.A in
% Behar et al,Biophysical Journal 93(2007): 806-821

function dx_out=AlonIII(t,x_in,xi)
% s is the stimulation level (system input)

% State variables
x=x_in(1);
y=x_in(2);

bx=2.3;
by=24;
ax=0;
%ay=24;
ay=0.8;
axy=120;

dx = bx*xi-ax*x-axy*x*y;
dy = by*x*xi-ay*y;

dx_out=[dx;dy];