% Figure generator for case study V
% Model derived from
% Geva-Zatorsky et al, Molecular Systems Biology (2006)

tpert=10;dpert=xe(2)/8;Tdelay=.43;
sim('AlonIII_mod2.mdl')

figure
subplot(3,1,1)
plot(xy.time,xy.signals.values(:,2)/xe(2))

tpert=10;dpert=xe(2)/8;Tdelay=.46;
sim('AlonIII_mod2.mdl')

subplot(3,1,2)
plot(xy.time,xy.signals.values(:,2)/xe(2))
ylabel('Mdm2 (normalised)')

tpert=10;dpert=xe(2)/8;Tdelay=.49;
sim('AlonIII_mod2.mdl')

subplot(3,1,3)
plot(xy.time,xy.signals.values(:,2)/xe(2))
xlabel('Time (hours)')