function dstate_v = IO_module3(t,state_v,y3)
% Uses global state variables
global ztot V1 V7 V8 V9 V10
global K7 K8 K9 K10

% Definition of the state variables
z1 = state_v(1);
z3 = state_v(2);

% Conservation equation
z2 = ztot - z1 - z3;
% Differential equations
dz1 = V10*z2/(K10+z2) - V7*y3*z1/(K7+z1);
dz3 = V8*y3*z2/(K8+z2) - V9*z3/(K9+z3);
%dz3 = V8*y3*z2/(K8+z2) - V9*z3/(K9+z3) + V1*2e5;

dstate_v = [dz1; dz3];
end