function [dx_dt] = quadr_sys(t_in,x,alph)
% Parameters definition
q=10;
r=0.9;
%alph=0.3;
%alph=0.3;
k1=0.8;
bet=0.1;
d1=0.02;
s=0.8;
k2=0.7;
d2=0.03;

% Matrices of the system in the original coordinate system
A=diag([r,-d1,s-d2]);

B1=[-r/k1,  -alph/2,    0;
    -alph/2,    0,      0;
        0,      0,      0];    

B2=[0   0   0;
    0   0   bet/2;
    0   bet/2   0];

B3=[0   0   0;
    0   0   -bet/2;
    0   -bet/2  -s/k2];

dx_dt=A*x+[x'*B1;x'*B2;x'*B3]*x+[q;0;0];

end

