% Plots the state variables of the Galactose pathway model to show
% bistability
% You need to run the SimBiology model first and save the variables in a
% structure named gal

subplot(221)
hold on
plot(gal.Time,gal.States(:,1))
xlabel('Time')
ylabel('G3[uM]')
subplot(222)
hold on
plot(gal.Time,gal.States(:,2))
xlabel('Time')
ylabel('Gi[uM]')
subplot(223)
hold on
plot(gal.Time,gal.States(:,4))
xlabel('Time')
ylabel('G4[uM]')
subplot(224)
hold on
plot(gal.Time,gal.States(:,7))
xlabel('Time')
ylabel('G80G3a[uM]')
